#!/usr/bin/env bash
containers=($(docker ps --format "{{.Names}}"))
if [ ${#containers[@]} -eq 0 ]; then
    gum style --foreground 1 "⚠️  No running containers found"
    exit 1
fi
container=$(printf "%s\n" "${containers[@]}" | gum choose --header "Select a container to restart:" --cursor.foreground 212)
if [ -n "$container" ]; then
    gum spin --spinner dot --title "Restarting $container..." -- systemctl restart docker-$container
    gum style --foreground 212 "✅ Container $container restarted successfully!"
fi
