{
  virtualisation.oci-containers.backend = "docker";

  systemd.services.docker-network-web = {
    description = "Create Docker Network Web";
    requires = ["docker.service"];
    after = ["docker.service"];
    wantedBy = ["multi-user.target"];

    # Run on startup if network doesn't exist
    serviceConfig = {
      Type = "oneshot";
      RemainAfterExit = true;
    };

    script = ''
      if ! /run/current-system/sw/bin/docker network ls | grep -q 'web'; then
        /run/current-system/sw/bin/docker network create web
      fi
    '';
  };
}
